Config
Update instance configuration.
ROLES: INSTANCE_ADMIN USER: true SERVICE ACCOUNT: true
PUT
/
api
/
v1
/
config
/
instance
Update instance configuration.
curl --request PUT \
--url https://api.revoengine.com/api/v1/config/instance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runtime.libraries.global": {
"libraries": [
{
"componentId": "11111111-1111-4111-8111-111111111111",
"componentVersion": 150
},
{
"componentId": "22222222-2222-4222-8222-222222222222",
"componentVersion": null
}
]
},
"ai.instructions.global": {
"instructions": "Use tenant-approved plugins before ad-hoc implementation."
},
"ai.agent.gateway": {
"maxOutputTokens": 32000
},
"ai.plugins.default": {
"pluginIds": [],
"instructions": "Prefer governed tenant plugins when they match the request."
},
"ai.memory.policy": {
"enabled": true,
"recallLimit": 8,
"retentionDays": 180
},
"ai.security.rules": {
"instructions": "Do not expose customer secrets or internal credentials in user-facing output.",
"rules": [],
"blockedToolNames": []
}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'runtime.libraries.global': {
libraries: [
{componentId: '11111111-1111-4111-8111-111111111111', componentVersion: 150},
{componentId: '22222222-2222-4222-8222-222222222222', componentVersion: null}
]
},
'ai.instructions.global': {instructions: 'Use tenant-approved plugins before ad-hoc implementation.'},
'ai.agent.gateway': {maxOutputTokens: 32000},
'ai.plugins.default': {
pluginIds: [],
instructions: 'Prefer governed tenant plugins when they match the request.'
},
'ai.memory.policy': {enabled: true, recallLimit: 8, retentionDays: 180},
'ai.security.rules': {
instructions: 'Do not expose customer secrets or internal credentials in user-facing output.',
rules: [],
blockedToolNames: []
}
})
};
fetch('https://api.revoengine.com/api/v1/config/instance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/config/instance"
payload = {
"runtime.libraries.global": { "libraries": [
{
"componentId": "11111111-1111-4111-8111-111111111111",
"componentVersion": 150
},
{
"componentId": "22222222-2222-4222-8222-222222222222",
"componentVersion": None
}
] },
"ai.instructions.global": { "instructions": "Use tenant-approved plugins before ad-hoc implementation." },
"ai.agent.gateway": { "maxOutputTokens": 32000 },
"ai.plugins.default": {
"pluginIds": [],
"instructions": "Prefer governed tenant plugins when they match the request."
},
"ai.memory.policy": {
"enabled": True,
"recallLimit": 8,
"retentionDays": 180
},
"ai.security.rules": {
"instructions": "Do not expose customer secrets or internal credentials in user-facing output.",
"rules": [],
"blockedToolNames": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Last modified on September 5, 2026
⌘I
Update instance configuration.
curl --request PUT \
--url https://api.revoengine.com/api/v1/config/instance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runtime.libraries.global": {
"libraries": [
{
"componentId": "11111111-1111-4111-8111-111111111111",
"componentVersion": 150
},
{
"componentId": "22222222-2222-4222-8222-222222222222",
"componentVersion": null
}
]
},
"ai.instructions.global": {
"instructions": "Use tenant-approved plugins before ad-hoc implementation."
},
"ai.agent.gateway": {
"maxOutputTokens": 32000
},
"ai.plugins.default": {
"pluginIds": [],
"instructions": "Prefer governed tenant plugins when they match the request."
},
"ai.memory.policy": {
"enabled": true,
"recallLimit": 8,
"retentionDays": 180
},
"ai.security.rules": {
"instructions": "Do not expose customer secrets or internal credentials in user-facing output.",
"rules": [],
"blockedToolNames": []
}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'runtime.libraries.global': {
libraries: [
{componentId: '11111111-1111-4111-8111-111111111111', componentVersion: 150},
{componentId: '22222222-2222-4222-8222-222222222222', componentVersion: null}
]
},
'ai.instructions.global': {instructions: 'Use tenant-approved plugins before ad-hoc implementation.'},
'ai.agent.gateway': {maxOutputTokens: 32000},
'ai.plugins.default': {
pluginIds: [],
instructions: 'Prefer governed tenant plugins when they match the request.'
},
'ai.memory.policy': {enabled: true, recallLimit: 8, retentionDays: 180},
'ai.security.rules': {
instructions: 'Do not expose customer secrets or internal credentials in user-facing output.',
rules: [],
blockedToolNames: []
}
})
};
fetch('https://api.revoengine.com/api/v1/config/instance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/config/instance"
payload = {
"runtime.libraries.global": { "libraries": [
{
"componentId": "11111111-1111-4111-8111-111111111111",
"componentVersion": 150
},
{
"componentId": "22222222-2222-4222-8222-222222222222",
"componentVersion": None
}
] },
"ai.instructions.global": { "instructions": "Use tenant-approved plugins before ad-hoc implementation." },
"ai.agent.gateway": { "maxOutputTokens": 32000 },
"ai.plugins.default": {
"pluginIds": [],
"instructions": "Prefer governed tenant plugins when they match the request."
},
"ai.memory.policy": {
"enabled": True,
"recallLimit": 8,
"retentionDays": 180
},
"ai.security.rules": {
"instructions": "Do not expose customer secrets or internal credentials in user-facing output.",
"rules": [],
"blockedToolNames": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
